gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Global API elements for This class contains all the methods which are not directly attributable to a specific type.
- Constructor
  2.12.0.0
  Do not use.
  There are no instance members for this class. This constructor will be marked Obsolete and possibly removed in future versions.
- Method
  2.12.0.0
  System.Boolean `` a To be added a To be added
- Method
  2.12.0.0
  System.Boolean `` `` `` the to activate bindings on. a representing the key value to activate. a representing any Ctrl, Meta, or Shift modifiers to the key value. Activates a registered key binding. a indicating whether a binding was activated.
- Method
  2.12.0.0
  System.String `` `` `` a a a Check if a version is compatible with the currently loaded Gtk library. if the version is supported, or an error string describing the mismatch. This is typically only used by modules which want to check if they are compatible with the currently loaded version of Gtk+.
- Property
  2.12.0.0
  Gdk.Event Obtains a copy of the event currently being processed by Gtk#. a For example, if you get a event from , the current event will be the that triggered the signal. If there is no current event, the function returns .
- Property
  2.12.0.0
  System.UInt32 Returns a representing the unix time of the current event. Returns the unix time for the current event. None.
- Property
  2.12.0.0
  Pango.Language The current default language for this application. a This value can change during the life of a program, and is based on the current locale. It contains information such as the text direction of the current language.
- Method
  2.12.0.0
  System.Void Disables automatic user locale usage. Only use this if you want to set a specific locale for your program other than the default user locale, or if you want to set different values for different locale categories. Most applications will not need to use this.
- Property
  2.12.0.0
  System.Boolean Checks if any events are pending. a This can be used to update the GUI and invoke timeouts etc. while doing some time intensive computation. `/* computation going on */ ... while (Gtk.Global.EventsPending) { Gtk.Application.RunIteration (); } ... /* computation continued */`
- Method
  2.12.0.0
  System.Boolean `` a to store the state in if one exists. Gets the state field of the current event. if there is a current and it has a state field, otherwise .
- Method
  2.12.0.0
  Gtk.Widget `` a Gets the widget associated with an event. the that originally received , or .
- Method
  2.12.0.0
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` a a a , a state a , a clip rectangle a , the widget a , a style detail a , Y origin a , Y origin a , the string to draw Deprecated. Do not use. Draws a text string on with the given parameters.
- Method
  2.12.0.0
  System.Boolean `` `` a a To be added a To be added
- Method
  2.12.0.0
  System.Void `` `` to propagate event to. to propagate. Propagate an event from one widget to another. This function should be rarely used, look into event handler overriding instead.
- Method
  2.12.0.0
  System.Void `` `` `` `` `` `` the red component of the color as a the green component of the color as a the blue component of the color as a the resulting hue of the color as a the resulting saturation of the color as a the resulting value of the color as a Converts a Red/Green/Blue color value to a Hue/Saturation/Value color value.
- Method
  2.12.0.0
  System.String Sets the current locale according to the application environment. a corresponding to the locale set. This is equivalent to the C standard library call - setlocale (LC_ALL, ""), but also takes care of setup of the windowing environment used by . automatically does this, so it is not normally necessary for applications to call this method.